Package tigase.server.script

# Class AbstractScriptCommand

java.lang.Object
tigase.stats.CounterValue
tigase.stats.Counter
tigase.stats.StatisticHolderImpl
tigase.server.script.AbstractScriptCommand

All Implemented Interfaces:
  `CommandIfc`, `StatisticHolder`

Direct Known Subclasses:
  `AddScriptCommand`, `RemoveScriptCommand`, `Script`, `SetLoggingCommand`

public abstract class AbstractScriptCommand extends StatisticHolderImpl implements CommandIfc
Created: Jan 2, 2009 2:32:17 PM

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<String,String>`
  `lineCommentStart`

  ### Fields inherited from class tigase.stats.CounterValue

  `counter, level, name`

  ### Fields inherited from interface tigase.server.script.CommandIfc

  `ADD_SCRIPT_CMD, ADMINS_SET, ADMN_CMDS, ADMN_DISC, AUTH_REPO, COMMAND_ID, COMMANDS_ACL, COMPONENT, COMPONENT_NAME, CONNECTED_NODES, CONNECTED_NODES_WITH_LOCAL, DEL_SCRIPT_CMD, DESCRIPT, EVENTBUS, GROUP, LANGUAGE, PACKET, REMOVE_FROM_DISK, SAVE_TO_DISK, SCRI_MANA, SCRIPT_BASE_DIR, SCRIPT_CLASS, SCRIPT_COMP_DIR, SCRIPT_COMPONENT, SCRIPT_DESCRIPTION, SCRIPT_GROUP, SCRIPT_ID, SCRIPT_RESULT, SCRIPT_TEXT, SERVICES_MAP, USER_CONN, USER_REPO, USER_SESS, VHOST_MANAGER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractScriptCommand()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommandId()`
  `String`
  `getDescription()`
  `String`
  `getGroup()`
  `void`
  `init(String id, String description, String group)`
  `boolean`
  `isAdminOnly()`
  `protected boolean`
  `isEmpty(String val)`
  `void`
  `setAdminOnly(boolean adminOnly)`

  ### Methods inherited from class tigase.stats.StatisticHolderImpl

  `getStatistics, setStatisticsPrefix, statisticExecutedIn`

  ### Methods inherited from class tigase.stats.Counter

  `everyHour, everyMinute, everySecond, getPerHour, getPerMinute, getPerSecond`

  ### Methods inherited from class tigase.stats.CounterValue

  `getLevel, getName, getValue, inc, setName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface tigase.server.script.CommandIfc

  `getBindings, runCommand`

  ### Methods inherited from interface tigase.stats.StatisticHolder

  `everyHour, everyMinute, everySecond, getStatistics, setStatisticsPrefix, statisticExecutedIn`

- ## Field Details

  - ### lineCommentStart

    public static final Map<String,String> lineCommentStart

- ## Constructor Details

  - ### AbstractScriptCommand

    public AbstractScriptCommand()

- ## Method Details

  - ### getCommandId

    public String getCommandId()
    Specified by:
      `getCommandId` in interface `CommandIfc`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `CommandIfc`

  - ### getGroup

    public String getGroup()
    Specified by:
      `getGroup` in interface `CommandIfc`

  - ### init

    public void init(String id, String description, String group)
    Specified by:
      `init` in interface `CommandIfc`

  - ### isAdminOnly

    public boolean isAdminOnly()
    Specified by:
      `isAdminOnly` in interface `CommandIfc`

  - ### setAdminOnly

    public void setAdminOnly(boolean adminOnly)
    Specified by:
      `setAdminOnly` in interface `CommandIfc`

  - ### isEmpty

    protected boolean isEmpty(String val)